function GrindLootConfigFrame_OnShow()
	getglobal(this:GetName().."CheckButtonCloth"):SetChecked( GLootTypes['cloth'] );
	getglobal(this:GetName().."CheckButtonSkin"):SetChecked( GLootTypes['skin'] );
	getglobal(this:GetName().."CheckButtonMining"):SetChecked( GLootTypes['mining'] );
	getglobal(this:GetName().."CheckButtonEnchanting"):SetChecked( GLootTypes['enchanting'] );
	getglobal(this:GetName().."CheckButtonReagent"):SetChecked( GLootTypes['reagent'] );
	getglobal(this:GetName().."CheckButtonMeat"):SetChecked( GLootTypes['meat'] );
end

function GrindLootConfigFrame_OnLoad()
	GLootEnabled=1;
	GLootCustom={};
	GLootTypes={};
	GrindItemsDB={};
	SlashCmdList["GLOOT"] = GrindLootConfigFrame_OnOff;
	SLASH_GLOOT1 = "/grindloot";
	SLASH_GLOOT2 = "/gloot"; -- A shortcut or alias
	this:RegisterEvent("VARIABLES_LOADED");	
end

function GrindLootConfigFrame_OnOff()
	if (GrindLootConfigFrame:IsVisible()) then
		GrindLootConfigFrame:Hide();
	else
		GrindLootConfigFrame:Show();
	end
end

function GrindLootBoxFrame_OnShow()
	if(GLootEnabled==1) then
		GLEnableDisableText:SetText("Disable");
	else
		GLEnableDisableText:SetText("Enable");
	end
end

function GrindLootBoxFrame_OnLoad()
	this:RegisterEvent("LOOT_OPENED");
	this:RegisterEvent("LOOT_CLOSED");
end

function GrindLoot_OnEvent(event)
	if ( event == "LOOT_OPENED" ) then
		GrindLootBoxFrame:Show();
		LootIt();
		return;
	end
	if ( event == "LOOT_CLOSED" ) then
		GrindLootBoxFrame:Hide();
		return;
	end	
	if ( event == "VARIABLES_LOADED" ) then
		return;
	end	
end

function GrindLoot_ConfigToDefault()
	GLootEnabled=1;
	GLootCustom={};
	GLootTypes={};
	GrindItemsDB={};
	GrindLootConfigFrame:Show();
end

function GrindLootConfigFrame_OnClick()
	if ( this:GetName() == (this:GetParent():GetName().."CheckButtonCloth" ) ) then 
		GLootTypes['cloth']=this:GetChecked(); if(this:GetChecked()) then Gchattext("AutoLooting Cloth set to ON!"); else Gchattext("AutoLooting Cloth set to OFF!"); end
	elseif ( this:GetName() == (this:GetParent():GetName().."CheckButtonSkin" ) ) then
		GLootTypes['skin']=this:GetChecked(); if(this:GetChecked()) then Gchattext("AutoLooting Skinning results set to ON!"); else Gchattext("AutoLooting Skinning results set to OFF!"); end
	elseif ( this:GetName() == (this:GetParent():GetName().."CheckButtonMining" ) ) then
		GLootTypes['mining']=this:GetChecked(); if(this:GetChecked()) then Gchattext("AutoLooting Mining results set to ON!"); else Gchattext("AutoLooting Mining results set to OFF!"); end
	elseif ( this:GetName() == (this:GetParent():GetName().."CheckButtonEnchanting" ) ) then
		GLootTypes['enchanting']=this:GetChecked(); if(this:GetChecked()) then Gchattext("AutoLooting Enchanting reagents set to ON!"); else Gchattext("AutoLooting Enchanting reagents set to OFF!"); end
	elseif ( this:GetName() == (this:GetParent():GetName().."CheckButtonReagent" ) ) then
		GLootTypes['reagent']=this:GetChecked(); if(this:GetChecked()) then Gchattext("AutoLooting Miscelaneous Reagents set to ON!"); else Gchattext("AutoLooting Miscelaneous Reagents set to OFF!"); end
	elseif ( this:GetName() == (this:GetParent():GetName().."CheckButtonMeat" ) ) then
		GLootTypes['meat']=this:GetChecked(); if(this:GetChecked()) then Gchattext("AutoLooting Cooking Reagents set to ON!"); else Gchattext("AutoLooting Cooking Reagents set to OFF!"); end
	end
end

function GrindLoot_Disable()
	if(GLootEnabled==1) then
		GLootEnabled=0;
	else 
		GLootEnabled=1;
	end
	if(GLootEnabled==1) then
		GLEnableDisableText:SetText("Disable");
		Gchattext("AutoLooting set to ON!");
	else
		GLEnableDisableText:SetText("Enable");
		Gchattext("AutoLooting set to OFF!");
	end
end


local function GetLootId( slot )
	local itemId = 0
	local link = GetLootSlotLink( slot )

	if link then
		local _, _, idCode = string.find(link, "|Hitem:(%d+):(%d+):(%d+):")
		itemId = tonumber( idCode or 0 )
	end

	return itemId
end

function Gchattext(txt)
	if( DEFAULT_CHAT_FRAME ) then
		DEFAULT_CHAT_FRAME:AddMessage( "|cff00e0ff"..txt )
	end
end

function LootIt()

GrindLoot_ClothLoot = { [2589]=1, [2592]=1, [4306]=1, [4338]=1, [14256]=1, [14047]=1, [14342]=1, [21877 ]=1 };
GrindLoot_SkinLoot = { [2934]=1, [2318]=1, [2319]=1, [4234]=1, [4304]=1, [8170]=1,
	[15423]=1,[15417]=1,[15422]=1,[15419]=1,[17012]=1, [5082]=1, [25699]=1,
	[21887]=1,[25649]=1,[20499]=1,[20498]=1,[25700]=1,[25707]=1,
	[783]=1, [4232]=1, [4235]=1, [8169]=1, [8171]=1, [7428]=1, [8368]=1,
	[8154]=1, [7287]=1, [8167]=1, [7286]=1,[12607]=1,
	[15416]=1,[15415]=1,[15414]=1,[15412]=1, [8165]=1,[15408]=1,
	[6470]=1, [6471]=1, [7392]=1, [8165]=1,
	[23107]=1,[24189]=1,[21929]=1,
	[27859]=1,[22575]=1,[22790]=1,[22785]=1,[25813]=1,[22789]=1 }

	if(GLootEnabled==0) then return; end

	local cnt = GetNumLootItems()
	if cnt == 0 then
		Gchattext( "Empty loot" )
		CloseLoot()
		return;
	end
	
	for slotnum = 1, cnt do
	        	local texture, itemName, quantity, quality = GetLootSlotInfo(slotnum)
	        	local itemID = GetLootId( slotnum )
	       	local itemName2, itemLink, itemRarity, itemLevel, itemMinLevel, itemType, itemSubType, itemStackCount, itemEquipLoc = GetItemInfo(itemID)
	
		local txt = itemName2;
		if itemRarity ~=nil then txt = txt.." -> itemRarity="..itemRarity end
		if itemType ~=nil then txt = txt..", itemType="..itemType end
		if itemSubType ~=nil then txt = txt..", itemSubType="..itemSubType end
	
		if(LootSlotIsCoin(slotnum))then
	        		local itemNamex="";
		else
			GrindItemsDB[itemID]=txt;
		end
		     
	        	if itemType=="Quest" then
	         		LootSlot(slotnum);
	        	end
				if itemType=="Key" then
					LootSlot(slotnum);
				end
				
	        	if(itemSubType=="Metal & Stone") then
	         		if(GLootTypes['mining']) then LootSlot(slotnum); end
	        	end
	        	if(itemSubType=="Enchanting") then
	         		if(GLootTypes['enchanting']) then LootSlot(slotnum); end
	        	end
	        	if(itemSubType=="Reagent") then
	         		if(GLootTypes['reagent']) then LootSlot(slotnum); end
	        	end
	        	if(itemSubType=="Meat") then
	         		if(GLootTypes['meat']) then LootSlot(slotnum); end
	        	end
		if(GrindLoot_ClothLoot[itemID]) then 
			if(GLootTypes['cloth']) then LootSlot(slotnum); end
		end
		if(GrindLoot_SkinLoot[itemID]) then 
			if(GLootTypes['skin']) then LootSlot(slotnum); end
		end
	        
		if quality>=2 then
			LootSlot(slotnum);
		else
		if LootSlotIsCoin(slotnum) then
			itemName=string.gsub(itemName, "\n", " ", 1, true);
			Gchattext( "Autolooted "..itemName );
			LootSlot(slotnum);
		end
	end
	end
end